Page MenuHomeVyOS Platform

no dual stack in system static-host-mapping host-name
Closed, ResolvedPublic

Description

hi,

I tried to set an hostname for dns via "set system static-host-mapping $hostname inet $IP".
I can't give an hostname an ipv4 and an ipv6 address.

I would prefer to give an hostname and ipv4 and an ipv6.

We could extent it with a new syntax:

set system static-host-mapping $hostname inet $IPv4
set system static-host-mapping $hostname inet6 $IPv6

Details

Difficulty level
Unknown (require assessment)
Version
1.2.5
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible
Issue type
Feature (new functionality)

Event Timeline

rherold created this object in space S1 VyOS Public.
erkin set Issue type to Feature (new functionality).Aug 29 2021, 1:55 PM
erkin removed a subscriber: Active contributors.

PR https://github.com/vyos/vyos-1x/pull/1037

set system static-host-mapping host-name host.local inet 192.0.2.1
set system static-host-mapping host-name host.local inet 2001:db8::1
commit

[email protected]# sudo cat /etc/hosts | tail -n 5

# From 'system static-host-mapping' and DHCP server
# system
192.0.2.1       host.local 
2001:db8::1     host.local 
[edit]
[email protected]#
Viacheslav changed the task status from Open to In progress.Oct 22 2021, 12:07 PM
Viacheslav changed the task status from In progress to Needs testing.Oct 25 2021, 7:14 PM

(VyOS 1.4)

i tried:

set system static-host-mapping host-name ipv6.host.domain.loc inet xxxx:xxxx:xxxx:xxxx::x
set system static-host-mapping host-name ipv6.host.domain.loc alias host.domain.loc

set system static-host-mapping host-name ipv4.host.domain.loc inet xxx.xxx.xxx.xxx
set system static-host-mapping host-name ipv4.host.domain.loc alias host.domain.loc

But i can't get a IPv6.

ping host.domain.loc   # uses ipv4
ping6 host.domain.loc # ping: ipv6.host.domain.loc: Name or service not known
dig AAAA @2001:xxxx:xxxx:xxxx::x host.domain.loc
nothing ....

dig A @2001:xxxx:xxxx:xxxx::x host.domain.loc
and i get the correct IPv4 address...

If i just write

ping host.domain.loc

on vyos itself, it ping the IPv6 correctly.

so i don't get it, where's the problem.

Greetings

c-po changed the task status from Backport candidate to In progress.Jul 5 2022, 7:04 AM
c-po claimed this task.
c-po triaged this task as Normal priority.
c-po changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus (1.3.2) board.
c-po added a subscriber: erkin.